<?php
/*	Plugin Name:	Yourstyle Branding
	Plugin URL:		http://your-style.nl
	Description:	Use the custom Yourstyle login page and add references to Yourstyle in the WordPress back-end.
	Author:			Yourstyle
	Version:		3.5.2
	Author URI:		http://your-style.nl
	Text Domain:	ysd-branding
	License:		GPLv2
*/

define('YSD_BRANDING_UPDATER_PLUGIN_DIR', plugin_dir_path(__FILE__));

/* WPS Auth */
if ( ! defined( 'WPS_UPDATER_KEY' ) ) {
    define('WPS_UPDATER_KEY', 'uqc4WQFe7yvPXMSrgv');
}
if ( ! defined( 'WPS_UPDATER_SECRET' ) ) {
    define('WPS_UPDATER_SECRET', 'tct9Ez6g2MkzXRSPHbdxfUwxuk8zDUND');
}

/* YSD Auth */
define('YSD_UPDATER_KEY', '8pSdMEB2aLsVQtMKus');
define('YSD_UPDATER_SECRET', 'tdSXhWaDjuWJvUy4yVpyrGUrFaaSueBU');

/* WPS Objects */
if ( ! defined( 'WPS_PRIME_THEME' ) ) {
    define('WPS_PRIME_THEME', get_theme_root().'/wps-prime/functions.php');
}
if ( ! defined( 'WPS_FONTAWESOME_PLUGIN' ) ) {
    define('WPS_FONTAWESOME_PLUGIN', WP_PLUGIN_DIR.'/wps-fontawesome/wps-fontawesome.php');
}

/* YSD Objects */
define('YSP_THEME', get_theme_root().'/yourstyle-plus/functions.php');
define('YSP_COMPANION_PLUGIN', WP_PLUGIN_DIR . '/yourstyle-plus-companion-plugin/yourstyle-plus-companion-plugin.php');

/* KEEP PLUGIN UP-TO-DATE */
require 'inc/plugin-update-checker/plugin-update-checker.php';

$ysdBrandingUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://bitbucket.org/yourstyledesign/ysd-branding/',
	__FILE__,
	'ysd-branding'
);

$ysdBrandingUpdateChecker->setAuthentication(
    array(
        'consumer_key' => YSD_UPDATER_KEY,
        'consumer_secret' => YSD_UPDATER_SECRET,
    )
);

/* THE PLUGIN */
__('Use the custom Yourstyle login page and add references to Yourstyle in the Wordpress back-end.', 'ysd-branding');

load_plugin_textdomain('ysd-branding', false, dirname( plugin_basename( __FILE__ ) ) . '/lang/');

add_filter('login_headerurl', 'ysdbranding_loginheadlink');
function ysdbranding_loginheadlink() { 
    return 'https://your-style.nl/';
}

add_filter('login_headertext', 'ysdbranding_loginheadtitle');
function ysdbranding_loginheadtitle() {
    return __('Yourstyle','ysd-branding');
}

add_action('login_enqueue_scripts', 'ysdbranding_logincss', 10);
function ysdbranding_logincss() {
	wp_enqueue_style('ysdbranding_login_css', plugins_url() . '/' . dirname( plugin_basename( __FILE__ ) ) . '/assets/css/style.css', false);
}

add_action('admin_enqueue_scripts', 'ysdbranding_admincss');
function ysdbranding_admincss() {
    wp_enqueue_style('ysdbranding_admin_css', plugins_url() . '/' . dirname( plugin_basename( __FILE__ ) ) . '/assets/css/admin.css', false);
}

add_filter('admin_footer_text', 'ysdbranding_adminfooter');
if (!function_exists('ysdbranding_adminfooter')) {
	function ysdbranding_adminfooter() {
		echo '#samensuccesvol <a target="_blank" href="https://your-style.nl">yourstyle</a>';
	}
}

// First remove 'existing' YSP action
remove_action('ysp_footer_site_info', 'ysp_footer_site_info_poweredby_yourstyle');

// Execute YSD Branding action
if (!function_exists('ysdbranding_footer_marketing')) {
    /**
     * Add Powered by Yourstyle Link to the Footer Site Info
     */
    function ysdbranding_footer_marketing() {
        $option = function_exists('ysp_get_option') ? ysp_get_option('ysp-poweredby-link') : 0;
        $output = '';
        if ($option) {
            $output .= '&nbsp;-&nbsp;';
            $output .= '<a href="https://your-style.nl/" target="_blank">';
                $output .= __('Powered by Yourstyle', 'ysd-branding');
            $output .= '</a>';
        }
        echo $output;
    }
}
add_action('ysp_footer_site_info', 'ysdbranding_footer_marketing');

/* KEEP WPS PRIME UP-TO-DATE */
if (file_exists(WPS_PRIME_THEME)) {

    /**
     *  WPS Prime Theme.
     */
    $wpsPrimeUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
        'https://bitbucket.org/ZsoltR/wps-prime',
        WPS_PRIME_THEME,
        'wps-prime'
    );

    $wpsPrimeUpdateChecker->setAuthentication(array(
        'consumer_key' => WPS_UPDATER_KEY,
        'consumer_secret' => WPS_UPDATER_SECRET,
    ));

    // If the plugin is deleted by mistake do not run the updater
    if (file_exists(WPS_FONTAWESOME_PLUGIN)) {
        /**
         *  WPS Fontawesome.
         */
        $wpsFontawesomeUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
            'https://bitbucket.org/ZsoltR/wps-fontawesome',
            WPS_FONTAWESOME_PLUGIN,
            'wps-fontawesome'
        );

        $wpsFontawesomeUpdateChecker->setAuthentication(array(
            'consumer_key' => WPS_UPDATER_KEY,
            'consumer_secret' => WPS_UPDATER_SECRET,
        ));
    }
}

/* KEEP YSP UP-TO-DATE */
if (file_exists(YSP_THEME)) {

    // Includes
    include 'inc/options/options.php';
    include 'inc/widgets/widgets.php';

    /**
     *  YSP Theme.
     */
    $theme_updates = get_theme_mod( 'ysp-enable-updates' );
    if ( $theme_updates ) :
        $yourstylePlusUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
            'https://bitbucket.org/yourstyledesign/yourstyle-plus/',
            YSP_THEME,
            'yourstyle-plus'
        );

        $yourstylePlusUpdateChecker->setAuthentication(array(
            'consumer_key' => YSD_UPDATER_KEY,
            'consumer_secret' => YSD_UPDATER_SECRET,
        ));
    endif;

    // If the plugin is deleted by mistake do not run the updater
    if (file_exists(YSP_COMPANION_PLUGIN)) {
        /**
         *  YSP Companion Plugin
         */
        $yspCompanionPluginUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
        'https://bitbucket.org/yourstyledesign/yourstyle-plus-companion-plugin/',
                YSP_COMPANION_PLUGIN,
            'yourstyle-plus-companion-plugin'
        );

        $yspCompanionPluginUpdateChecker->setAuthentication(array(
            'consumer_key' => YSD_UPDATER_KEY,
            'consumer_secret' => YSD_UPDATER_SECRET,
        ));
    }
}

include 'public/shortcodes/shortcode-backlinks.php';

?>